#
# spec file for package libosmo-dsp
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           libosmo-dsp
Version:        0.3.8
Release:        1.9
Summary:        SDR DSP primitives
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Url:            http://sdr.osmocom.org/trac/wiki/rtl-sdr
Source:         %{name}-%{version}.tar.xz
Patch0:         HTML_TIMESTAMP.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  automake >= 1.6
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libtool >= 2
BuildRequires:  texlive-latex
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fftw3f) >= 3.2

%define libname libosmodsp0

%description
A library with SDR DSP primitives

%package -n %{libname}
Summary:        SDR DSP primitives
Group:          System/Libraries

%description -n %{libname}
A library with SDR DSP primitives

%package devel
Summary:        SDR DSP primitives
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
A library with SDR DSP primitives headers

%package doc
Summary:        SDR DSP primitives - Documentation
Group:          Documentation/HTML
Requires:       %{libname} = %{version}
BuildArch:      noarch

%description doc
A library with SDR DSP primitives headers - Documentation

%prep
%setup -q
%patch0 -p1

%build
echo "%version" >.tarball-version
autoreconf --force --install
%configure --disable-static --includedir="%{_includedir}/%{name}"
make %{?_smp_mflags}

%install
%make_install
rm -f "%{buildroot}/%{_libdir}"/*.la
%fdupes -s %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING 
%{_libdir}/libosmodsp.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libosmodsp.so
%{_includedir}/%name/
%{_libdir}/pkgconfig/libosmodsp.pc

%files doc
%defattr(-,root,root)
%doc /usr/share/doc/libosmodsp

%changelog
* Sat Apr 29 2017 jengelh@inai.de
- Add service file, use dots like in the other libosmo*s,
  and replace .tarball-version.
- Rectify RPM groups. Use versioned requires where known.
- Drop static libraries.
- Install to %%_includedir/%%name to catch misuses of pkgconfig.
* Tue Mar 21 2017 dl8fcl@darc.de
- update to version 0.3_8
* Tue Nov 18 2014 dl8fcl@darc.de
- update to version 0.3_2_gf68f75e
* Wed Aug 20 2014 dl8fcl@darc.de
- Package renamed to libosmo-dsp
* Wed Oct 30 2013 lnt-sysadmin@lists.lrz.de
- Add BuildRequires: texlive-latex to build some documentation
* Sun Aug 11 2013 dl8fcl@darc.de
- import into build service
